using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkDgMaterialRecommendFavoritesInfo
{

    /*
        选品库收藏夹总数量
    */
    private long? totalCount;


    /*
        选品库收藏夹详细信息
    */
    private IList<TaobaoTbkDgMaterialRecommendFavoritesDetail>? favoritesList;



    [JsonPropertyName("total_count")]
    public long? TotalCount
    {
        get => totalCount;
        set => this.totalCount = value;
    }

    [JsonPropertyName("favorites_list")]
    public IList<TaobaoTbkDgMaterialRecommendFavoritesDetail>? FavoritesList
    {
        get => favoritesList;
        set => this.favoritesList = value;
    }

}

